module ActiveRecord
 module Validations
   module ClassMethods
      def validates_positivity_of(*attr_names)
        configuration = { :message => "is not a positive number" }
        configuration.update(attr_names.pop) if attr_names.last.is_a?(Hash)
        validates_each(attr_names, configuration) do |record, attr_name, value|
          if value.nil? || value <= 0
            record.errors.add(attr_name, configuration[:message])
          end
        end
      end
    end
  end
end
